- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoContributionMetric< EOT > Class Template Reference

The contribution metric evaluates the proportion of non-dominated solutions given by a Pareto set relatively to another Pareto set. More...

`#include <moeoContributionMetric.h>`

Inheritance diagram for moeoContributionMetric< EOT >:

List of all members.

## Public Types
typedef EOT::Fitness | EOFitness
| The fitness type of a solution.
## Public Member Functions
double | operator() (const std::vector< EOFitness > &_set1, const std::vector< EOFitness > &_set2)
| Returns the contribution of the Pareto set '_set1' relatively to the Pareto set '_set2'.
## Private Member Functions
unsigned | card_C (const std::vector< EOFitness > &_set1, const std::vector< EOFitness > &_set2)
| Returns the number of solutions both in '_set1' and '_set2'.
unsigned | card_W (const std::vector< EOFitness > &_set1, const std::vector< EOFitness > &_set2)
| Returns the number of solutions in '_set1' dominating at least one solution of '_set2'.
unsigned | card_N (const std::vector< EOFitness > &_set1, const std::vector< EOFitness > &_set2)
| Returns the number of solutions in '_set1' having no relation of dominance with those from '_set2'.

## Detailed Description

### template<class EOT>
class moeoContributionMetric< EOT >

The contribution metric evaluates the proportion of non-dominated solutions given by a Pareto set relatively to another Pareto set.

(Meunier, Talbi, Reininger: 'A multiobjective genetic algorithm for radio network optimization', in Proc. of the 2000 Congress on Evolutionary Computation, IEEE Press, pp. 317-324)

Definition at line 23 of file moeoContributionMetric.h.

## Member Function Documentation

template<class EOT>

double moeoContributionMetric< EOT >::operator() | ( | const std::vector< EOFitness > & | _set1,
|  | const std::vector< EOFitness > & | _set2 |
| ) |  |  | `[inline]`

Returns the contribution of the Pareto set '_set1' relatively to the Pareto set '_set2'.

Parameters:

  | _set1 | the first Pareto set
  | _set2 | the second Pareto set

Definition at line 38 of file moeoContributionMetric.h.

References moeoContributionMetric< EOT >::card_C(), moeoContributionMetric< EOT >::card_N(), and moeoContributionMetric< EOT >::card_W().

template<class EOT>

unsigned moeoContributionMetric< EOT >::card_C | ( | const std::vector< EOFitness > & | _set1,
|  | const std::vector< EOFitness > & | _set2 |
| ) |  |  | `[inline, private]`

Returns the number of solutions both in '_set1' and '_set2'.

Parameters:

  | _set1 | the first Pareto set
  | _set2 | the second Pareto set

Definition at line 57 of file moeoContributionMetric.h.

Referenced by moeoContributionMetric< EOT >::operator()().

template<class EOT>

unsigned moeoContributionMetric< EOT >::card_W | ( | const std::vector< EOFitness > & | _set1,
|  | const std::vector< EOFitness > & | _set2 |
| ) |  |  | `[inline, private]`

Returns the number of solutions in '_set1' dominating at least one solution of '_set2'.

Parameters:

  | _set1 | the first Pareto set
  | _set2 | the second Pareto set

Definition at line 76 of file moeoContributionMetric.h.

Referenced by moeoContributionMetric< EOT >::operator()().

template<class EOT>

unsigned moeoContributionMetric< EOT >::card_N | ( | const std::vector< EOFitness > & | _set1,
|  | const std::vector< EOFitness > & | _set2 |
| ) |  |  | `[inline, private]`

Returns the number of solutions in '_set1' having no relation of dominance with those from '_set2'.

Parameters:

  | _set1 | the first Pareto set
  | _set2 | the second Pareto set

Definition at line 95 of file moeoContributionMetric.h.

Referenced by moeoContributionMetric< EOT >::operator()().

The documentation for this class was generated from the following file:

- moeoContributionMetric.h